//==============================================
//      File rconst.pas
//
//      Components library for Delphi and BCB++.
//      .
//
//      Copyright 1998-2001 Polaris Software
//      http://members.xoom.com/PolarisSoft
//      mailto: PolarisLib@mail.ru
//==============================================
unit rConst;

{$I POLARIS.INC}
{$R RCTRLS.RES}

interface

ResourceString
// don't localize
  srHelpFile = 'PSCOMP.HLP';

// don't localize
  srPeriodGlyph = 'PERIOD_BTN';

  srEHConsts   = '<CONSTANTS>';
  srEHMessage  = '<MESSAGE>';
  srEHDefault  = '<DEFAULT>';
  srEHLogging  = '<LOGGING>';
  srWinErrorTitle = ' :';
  srWinErrorDesc  = ' %d: %s';
  srRangeErrorTitle= '    :';
  srConvErrorTitle= '  :';
  srConvErrorMes  = '%s\r\r      ,\r   .';
  srUnkErrorTitle = '  :';
  srUnkErrorMes   = '%s\r\r     ,\r   .';
  srUnkErrorDesc  = ' %s: %s';
  srLogError   = '    :\r%s';
  srEHUser     = ' : %s, : %s';
  srEHProgram  = ': %s (%s)';
  srEHForm     = ': ';
  srEHControl  = ': ';
  srEHSummary  = '& <<';
  srEHDetail   = '& >>';

  srLaunchNotFound = ' ''%s''  .';
  srLaunchNotExe   = ' ''%s''   .';
  srLaunchNoWorkDir= '   (%s).';

  srFormCancel = '    .\n   OK   .';
  srNewN = '';
  srNewM = '';
  srNewF = '';
  srNewP = '';
  sr0     = '';
  sr1     = ',,,';
  sr2     = ',,,';
  sr3     = ',,,';
  sr4     = ',,,';
  sr5     = ',,,';
  sr6     = ',,,';
  sr7     = ',,,';
  sr8     = ',,,';
  sr9     = ',,,';
  sr10    = ',,,';
  sr11    = '';
  sr12    = '';
  sr13    = '';
  sr14    = '';
  sr15    = '';
  sr16    = '';
  sr17    = '';
  sr18    = '';
  sr19    = '';
  sr20    = '';
  sr30    = '';
  sr40    = '';
  sr50    = '';
  sr60    = '';
  sr70    = '';
  sr80    = '';
  sr90    = '';
  sr100   = '';
  sr200   = '';
  sr300   = '';
  sr400   = '';
  sr500   = '';
  sr600   = '';
  sr700   = '';
  sr800   = '';
  sr900   = '';

  // N - Neuter, M - Male, F - Female, P - Plural
  srGenders = 'NMFP';

  sr10_12 = 'M,,,o';
  sr10_9  = 'M,,,';
  sr10_6  = 'M,,,';
  sr10_3  = 'F,,,';

  srRuble  = 'M,,,';
  srCopeck = 'F,,,';
  srDollar = 'M,,,';
  srCent   = 'M,,,';

// don't localize
  srVIComp  = 'CompanyName';
  srVIFDesc = 'FileDescription';
  srVIFVer  = 'FileVersion';
  srVIInt   = 'InternalName';
  srVICprt  = 'LegalCopyright';
  srVITM    = 'LegalTrademarks';
  srVIFile  = 'OriginalFilename';
  srVIProd  = 'ProductName';
  srVIProdV = 'ProductVersion';
  srVIComm  = 'Comments';
  srVIEmail = 'E-Mail';
  srVIHome  = 'HomePage';

  srBkgndPic  = '  ';
  srBkgndHeit = '  ''%d''';
  srBkgndBind = '    TForm   .';
  srBkgndSlit = '_Splitters';
  srBkgndTool = '_ToolBars';

  srPeriodErr  = '         .';
  srPeriodPrefix = '';
  srPeriodYear = '%s%d ';
  srPeriodHalfYear = '%s%s  %d ';
  srPeriodQrt  = '%s%s  %d ';
  srPeriodMon  = '%s%s %d ';
  srPeriodDay  = '%s%s';
  srPeriodCustom = '%s - %s';
  srPeriodCustomPrfx = ' %s  %s';

  srSepError = '  rspDivider  Align    alNone  alClient.';

  srWin1251 = '';
  srWin1251Lat = 'qwertyuiop[]asdfghjkl;'#39'zxcvbnm,.QWERTYUIOP{}ASDFGHJKL:"ZXCVBNM<>';
  srKoi8    = '';

  srDLLLoadError = '   ''%s''.';
  srDLLChangeNameError = '     .';
  srDLLCheckRequiredError = '      ''%s''.';
  srDLLCheckVersionError = '   "%s"   %s.';
  srDLLVersionFormatError = '   .';

  srPlugSetCaption = '  ';
  srPluginNotFound = '    %s %s.';

  srConnectRes  = 'CONNECT';     // don't localize
  srResourceValue  = 'Resource';
  srUserValue   = 'User';
  srConnectDialog = '';
  srConnectResource = '&:';
  srConnectUser     = '&:';
  srConnectPassword = '&:';

  srChecked      = ' %s';
  srCheckedMulti = ' %s';

implementation
end.
