//==============================================
//      File rdbconst.pas
//
//      Components library for Delphi and BCB++.
//        DBAware-.
//
//      Copyright 1998-2002 Polaris Software
//      http://polesoft.da.ru
//      mailto: PolarisLib@mail.ru
//==============================================
unit rDBConst;

{$I POLARIS.INC}
{$R RDBCTRLS.RES}

interface

resourcestring
  RDBN_Custom = '';
  RDBN_Post   = ' ';
  RDBN_Cancel = ' ';
  RDBN_Delete = '  ';
  RDBN_Edit   = '  ';
  RDBN_Insert = ' ';
  RDBN_Refresh= ' ';
  RDBN_First  = '   ';
  RDBN_Prior  = '   ';
  RDBN_Next   = '   ';
  RDBN_Last   = '   ';
  RDBN_View   = '  ';
  RDBN_NULL   = ' ';

  RDBA_Custom = '';
  RDBA_Post   = '&';
  RDBA_Cancel = '&';
  RDBA_Delete = '&';
  RDBA_Edit   = '&...';
  RDBA_Insert = '&...';
  RDBA_Refresh= '&';
  RDBA_First  = '&';
  RDBA_Prior  = '&';
  RDBA_Next   = '&';
  RDBA_Last   = '&';
  RDBA_View   = '&';
  RDBA_NULL   = '&';

  srFilterKey     = '\Filters\';
  srFilterValue   = 'FilterExpression';
  srDatabaseValue = 'Database';

  srFixedColsKey  = 'FixedCols';
  srRowSelectKey  = 'RowSelect';
  srEditingKey  = 'Editing';
  srDefaultRowHeight = 'DefaultRowHeight';
  srFieldsSubKey  = '\Fields';

  srChangesAfterRestart = '       !';

  srSQLIBSysDate = 'SELECT CAST("NOW" AS DATE) FROM RDB$DATABASE';

  trdbtreeEqualsField = 'ChildrenField  ParentField   .';

  trdMaxLevelError = '   MaxLevel -1..32767.';
  trdDictionarySetError = '  .';
  trdMaxLeveling = '    .';
  trdBookmarkError = ' Bookmark ''%s''.';
  trdBookmarkRoot = '  .';
  trdConnectedError = '    SourceFieldName  ConnectedFieldName.';
  trdNodeNotFound = '  .';
  trdActiveItem = ' (%d)    (%d).';

  srLocateDenied = ' .';
  srFirstLocateNeed = '   .';
  srNotFound = ' ''%s''   ''%s''  .';
  srFieldNotFound = '   ''%s''.';
  srNoLocatingString = '   .';

  srBDEErrorTitle = '     :';
  srBDEErrorDesc  = ' BDE %d (: %d, : %d): %s';
  srSQLErrorDesc  = '  %d: %s';
  srDBErrorTitle  = '    :';
  srActiveDB      = ' : %s';

  srDBUserName = '()';
  srOSUserName = '()';

  srConnectNoDB = '   .\n    .';
  srConnectDatabase = '& :';

  srGridImage = ' ';
  srGridMemo  = ' memo-';
  srChoiceImg = ' ';

  srRecord = ',,';
  srDeleteMultipleRecordsQuestion = ' %d %s?';

implementation

end.
